OaIdl.TYPEATTR (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: TYPEATTR

Package com.sun.jna.platform.win32

# Class OaIdl.TYPEATTR

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.TYPEATTR

Direct Known Subclasses:
  `OaIdl.TYPEATTR.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder({"guid","lcid","dwReserved","memidConstructor","memidDestructor","lpstrSchema","cbSizeInstance","typekind","cFuncs","cVars","cImplTypes","cbSizeVft","cbAlignment","wTypeFlags","wMajorVerNum","wMinorVerNum","tdescAlias","idldescType"}) public static class OaIdl.TYPEATTR extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.TYPEATTR.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.WORD`
  `cbAlignment`
  `WinDef.ULONG`
  `cbSizeInstance`
  `WinDef.WORD`
  `cbSizeVft`
  `WinDef.WORD`
  `cFuncs`
  `WinDef.WORD`
  `cImplTypes`
  `WinDef.WORD`
  `cVars`
  `WinDef.DWORD`
  `dwReserved`
  `Guid.GUID`
  `guid`
  `OaIdl.IDLDESC`
  `idldescType`
  `WinDef.LCID`
  `lcid`
  `WTypes.LPOLESTR`
  `lpstrSchema`
  `OaIdl.MEMBERID`
  `memidConstructor`
  `OaIdl.MEMBERID`
  `memidDestructor`
  `OaIdl.TYPEDESC`
  `tdescAlias`
  `static final int`
  `TYPEFLAGS_FAGGREGATABLE`
  The class supports aggregation.
  `static final int`
  `TYPEFLAGS_FAPPOBJECT`
  A type description that describes an Application object.
  `static final int`
  `TYPEFLAGS_FCANCREATE`
  Instances of the type can be created by ITypeInfo::CreateInstance.
  `static final int`
  `TYPEFLAGS_FCONTROL`
  The type is a control from which other types will be derived, and should not be displayed to users.
  `static final int`
  `TYPEFLAGS_FDISPATCHABLE`
  Indicates that the interface derives from IDispatch, either directly or indirectly.
  `static final int`
  `TYPEFLAGS_FDUAL`
  The interface supplies both IDispatch and VTBL binding.
  `static final int`
  `TYPEFLAGS_FHIDDEN`
  The type should not be displayed to browsers.
  `static final int`
  `TYPEFLAGS_FLICENSED`
  The type is licensed.
  `static final int`
  `TYPEFLAGS_FNONEXTENSIBLE`
  The interface cannot add members at run time.
  `static final int`
  `TYPEFLAGS_FOLEAUTOMATION`
  The types used in the interface are fully compatible with Automation, including VTBL binding support.
  `static final int`
  `TYPEFLAGS_FPREDECLID`
  The type is predefined.
  `static final int`
  `TYPEFLAGS_FPROXY`
  Interfaces can be marked with this flag to indicate that they will be using a proxy/stub dynamic link library.
  `static final int`
  `TYPEFLAGS_FREPLACEABLE`
  The type is replaceable.
  `static final int`
  `TYPEFLAGS_FRESTRICTED`
  Should not be accessible from macro languages.
  `static final int`
  `TYPEFLAGS_FREVERSEBIND`
  The type has reverse binding.
  `OaIdl.TYPEKIND`
  `typekind`
  `WinDef.WORD`
  `wMajorVerNum`
  `WinDef.WORD`
  `wMinorVerNum`
  `WinDef.WORD`
  `wTypeFlags`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TYPEATTR()`
  `TYPEATTR(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### guid

    public Guid.GUID guid

  - ### lcid

    public WinDef.LCID lcid

  - ### dwReserved

    public WinDef.DWORD dwReserved

  - ### memidConstructor

    public OaIdl.MEMBERID memidConstructor

  - ### memidDestructor

    public OaIdl.MEMBERID memidDestructor

  - ### lpstrSchema

    public WTypes.LPOLESTR lpstrSchema

  - ### cbSizeInstance

    public WinDef.ULONG cbSizeInstance

  - ### typekind

    public OaIdl.TYPEKIND typekind

  - ### cFuncs

    public WinDef.WORD cFuncs

  - ### cVars

    public WinDef.WORD cVars

  - ### cImplTypes

    public WinDef.WORD cImplTypes

  - ### cbSizeVft

    public WinDef.WORD cbSizeVft

  - ### cbAlignment

    public WinDef.WORD cbAlignment

  - ### wTypeFlags

    public WinDef.WORD wTypeFlags

  - ### wMajorVerNum

    public WinDef.WORD wMajorVerNum

  - ### wMinorVerNum

    public WinDef.WORD wMinorVerNum

  - ### tdescAlias

    public OaIdl.TYPEDESC tdescAlias

  - ### idldescType

    public OaIdl.IDLDESC idldescType

  - ### TYPEFLAGS_FAPPOBJECT

    public static final int TYPEFLAGS_FAPPOBJECT
    A type description that describes an Application object.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FCANCREATE

    public static final int TYPEFLAGS_FCANCREATE
    Instances of the type can be created by ITypeInfo::CreateInstance.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FLICENSED

    public static final int TYPEFLAGS_FLICENSED
    The type is licensed.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FPREDECLID

    public static final int TYPEFLAGS_FPREDECLID
    The type is predefined. The client application should automatically create a single instance of the object that has this attribute. The name of the variable that points to the object is the same as the class name of the object.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FHIDDEN

    public static final int TYPEFLAGS_FHIDDEN
    The type should not be displayed to browsers.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FCONTROL

    public static final int TYPEFLAGS_FCONTROL
    The type is a control from which other types will be derived, and should not be displayed to users.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FDUAL

    public static final int TYPEFLAGS_FDUAL
    The interface supplies both IDispatch and VTBL binding.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FNONEXTENSIBLE

    public static final int TYPEFLAGS_FNONEXTENSIBLE
    The interface cannot add members at run time.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FOLEAUTOMATION

    public static final int TYPEFLAGS_FOLEAUTOMATION
    The types used in the interface are fully compatible with Automation, including VTBL binding support. Setting dual on an interface sets this flag in addition to TYPEFLAG_FDUAL. Not allowed on dispinterfaces.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FRESTRICTED

    public static final int TYPEFLAGS_FRESTRICTED
    Should not be accessible from macro languages. This flag is intended for system-level types or types that type browsers should not display.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FAGGREGATABLE

    public static final int TYPEFLAGS_FAGGREGATABLE
    The class supports aggregation.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FREPLACEABLE

    public static final int TYPEFLAGS_FREPLACEABLE
    The type is replaceable.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FDISPATCHABLE

    public static final int TYPEFLAGS_FDISPATCHABLE
    Indicates that the interface derives from IDispatch, either directly or indirectly. This flag is computed. There is no Object Description Language for the flag.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FREVERSEBIND

    public static final int TYPEFLAGS_FREVERSEBIND
    The type has reverse binding.
    See Also:
      - Constant Field Values

  - ### TYPEFLAGS_FPROXY

    public static final int TYPEFLAGS_FPROXY
    Interfaces can be marked with this flag to indicate that they will be using a proxy/stub dynamic link library. This flag specifies that the typelib proxy should not be unregistered when the typelib is unregistered.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TYPEATTR

    public TYPEATTR()

  - ### TYPEATTR

    public TYPEATTR(Pointer pointer)